<datalist id="dnsdomains">
  <option value=".example.com">example.com</option>
</datalist>

<datalist id="zonenames">
  <option value="ae">ae: &AElig;-DIR</option>
{% for zone_cn, zone_attrs in aedir_init_aezones|dictsort(case_sensitive=False, by='key') %}
  <option value="{{ zone_cn|e }}">{{ zone_cn|e }}: {{ zone_attrs['description']|e }}</option>
{% endfor %}
  <option value="pub">pub: Public data</option>
</datalist>

<datalist id="zonedn">
  <option value="cn=ae,{{ aedir_suffix }}">ae: &AElig;-DIR</option>
{% for zone_cn, zone_attrs in aedir_init_aezones|dictsort(case_sensitive=False, by='key') %}
  <option value="cn={{ zone_cn|e }},{{ aedir_suffix }}">{{ zone_cn|e }}: {{ zone_attrs['description']|e }}</option>
{% endfor %}
  <option value="cn=pub,{{ aedir_suffix }}">pub: Public data</option>
</datalist>

<a title="Read about searching in the user guide"
   href="/web2ldap.html#search">
  How-To
</a>

<fieldset>

  <legend>General search criteria</legend>

  <p>
    Match
    <select title="Search mode" name="search_mode" size="1">
    <option value="(&amp;%s)" selected="selected">all</option>
    <option value="(|%s)">any</option>
    </select> of the following:
  </p>

  <table>

    <tr>
      <td>
        <input type="hidden" name="search_mr" value="">
        <input type="hidden" name="search_option" value="({at}=*{av}*)">
        <input type="hidden" name="search_attr" value="cn">
        Common name (cn) contains
      </td>
      <td>
        <input name="search_string" maxlength="70" size="40" value="">
      </td>
    </tr>

      <tr>
        <td>
          <input type="hidden" name="search_mr" value="">
          <input type="hidden" name="search_option" value="({at}={av})">
          <select title="Attribute type" name="search_attr" size="1">
            <option value="uid">User name (uid)</option>
            <option value="uidNumber">POSIX-UID (uidNumber)</option>
            <option value="gidNumber">POSIX-GID (gidNumber)</option>
            <option value="mail">E-mail address (mail)</option>
            <option value="employeeNumber">Employee ID (employeeNumber)</option>
            <option value="entryUUID">entryUUID</option>
            <option value="host">Server/host FQDN (host)</option>
          </select>
          is
        </td>
        <td>
          <input name="search_string" maxlength="60" size="20" value="">
        </td>
      </tr>

    <tr>
      <td>
        <input type="hidden" name="search_mr" value="">
        <input type="hidden" name="search_option" value="({at}={av})">
        <input type="hidden" name="search_attr" value="objectClass">
        Type of entry (objectClass)
      </td>
      <td>
        <select title="Type of entry (objectClass)" name="search_string" size="1">
          <option value="">--</option>
          <option value="aeAuthcToken">Authentication Token (aeAuthcToken)</option>
          <option value="aeContact">Contact (aeContact)</option>
          <option value="aeDept">Department (aeDept)</option>
          <option value="aeHost">Host/Server (aeHost)</option>
          <option value="aeLocation">Location (aeLocation)</option>
          <option value="aeMailGroup">Mail Group (aeMailGroup)</option>
          <option value="aeNwDevice">Network Interface (aeNwDevice)</option>
          <option value="aePerson">Person (aePerson)</option>
          <option value="aePolicy">Policy (aePolicy)</option>
          <option value="aeService">Service/tool Account (aeService)</option>
          <option value="aeSrvGroup">Service Group (aeSrvGroup)</option>
          <option value="aeSudoRule">Sudoers Rule (sudoRole)</option>
          <option value="aeUser">User account (aeUser)</option>
          <option value="aeGroup">User group (aeGroup)</option>
          <option value="aeTag">Tag (aeTag)</option>
          <option value="aeZone">Zone (aeZone)</option>
        </select>
      </td>
    </tr>

    <tr>
      <td>
        <input type="hidden" name="search_mr" value="">
        <input type="hidden" name="search_option" value="({at}={av})">
        <input type="hidden" name="search_attr" value="aeStatus">
        Status
      </td>
      <td>
        <select title="Status of entry (aeStatus)" name="search_string" size="1">
          <option value="">--</option>
          <option value="-1">requested (-1)</option>
          <option value="0">active (0)</option>
          <option value="1">deactivated (1)</option>
          <option value="2">archived (2)</option>
        </select>
      </td>
    </tr>

    <tr>
      <td>
        <input type="hidden" name="search_mr" value="">
        <input type="hidden" name="search_option" value="({at}=*{av}*)">
        <input type="hidden" name="search_attr" value="aeTag">
        Tags (aeTag) contains
      </td>
      <td>
        <input name="search_string" maxlength="60" size="40" value="">
      </td>
    </tr>

    <tr>
      <td>
        <input type="hidden" name="search_mr" value="">
        <input type="hidden" name="search_option" value="({at}:dn:={av})">
        <input type="hidden" name="search_attr" value="cn">
        Within zone
      </td>
      <td>
        <input name="search_string" list="zonenames" maxlength="70" size="30" value="">
      </td>
    </tr>

    <tr>
      <td>
        Entry DN
        <select title="Matching rule for entryDN" name="search_mr" size="1">
          <option value="dn">is</option>
          <option value="dnSubordinateMatch">is subordinate of</option>
          <option value="dnSubtreeMatch">within subtree</option>
          <option value="dnOneLevelMatch">is child of</option>
        </select>
        <input type="hidden" name="search_option" value="({at}={av})">
        <input type="hidden" name="search_attr" value="entryDN">
      </td>
      <td>
        <input name="search_string" maxlength="80" size="40" value="">
      </td>
    </tr>

  </table>

</fieldset>

<fieldset>
  <legend>Group attributes</legend>
  <table>

    <tr>
      <td>
        <input type="hidden" name="search_mr" value="">
        <input type="hidden" name="search_option" value="({at}={av})">
        <input type="hidden" name="search_attr" value="member">
        DN of group member is
      </td>
      <td>
        <input name="search_string" maxlength="120" size="50" value=""><br>
      </td>
    </tr>

    <tr>
      <td>
        <input type="hidden" name="search_mr" value="">
        <input type="hidden" name="search_option" value="({at}={av})">
        <input type="hidden" name="search_attr" value="memberOf">
        DN of member group (memberOf) is
      </td>
      <td>
        <input name="search_string" maxlength="120" size="50" value=""><br>
      </td>
    </tr>

    <tr>
      <td>
        <input type="hidden" name="search_mr" value="dnSubordinateMatch">
        <input type="hidden" name="search_option" value="({at}={av})">
        <input type="hidden" name="search_attr" value="memberOf">
        Is member of a group in zone (DN)
      </td>
      <td>
        <input name="search_string" list="zonedn" maxlength="120" size="50" value=""><br>
      </td>
    </tr>

  </table>
</fieldset>
